>From 72b693c0df10aa7483a6f56b76fb0a6523295b98 Mon Sep 17 00:00:00 2001
From: Bill C Riemers <docbill@hartnell.local>
Date: Mon, 16 Jun 2008 11:56:17 -0400
Subject: [PATCH] Enhancement: Only require CAN_SEEK for avi demux instead of CAN_FASTSEEK.  So the user can seek the video.

---
 modules/demux/avi/avi.c    |    2 +-
 modules/demux/avi/libavi.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/modules/demux/avi/avi.c b/modules/demux/avi/avi.c
index c682713..93fb1ba 100644
--- a/modules/demux/avi/avi.c
+++ b/modules/demux/avi/avi.c
@@ -263,7 +263,7 @@ static int Open( vlc_object_t * p_this )
     p_sys->track    = NULL;
     p_sys->meta     = NULL;
 
-    stream_Control( p_demux->s, STREAM_CAN_FASTSEEK, &p_sys->b_seekable );
+    stream_Control( p_demux->s, STREAM_CAN_SEEK, &p_sys->b_seekable );
 
     p_demux->pf_control = Control;
     p_demux->pf_demux = Demux_Seekable;
diff --git a/modules/demux/avi/libavi.c b/modules/demux/avi/libavi.c
index 91866a3..cc09d99 100644
--- a/modules/demux/avi/libavi.c
+++ b/modules/demux/avi/libavi.c
@@ -130,7 +130,7 @@ static int AVI_ChunkRead_list( stream_t *s, avi_chunk_t *p_container )
         return VLC_EGENERIC;
     }
 
-    stream_Control( s, STREAM_CAN_FASTSEEK, &b_seekable );
+    stream_Control( s, STREAM_CAN_SEEK, &b_seekable );
 
     p_container->list.i_type = GetFOURCC( p_peek + 8 );
 
@@ -842,7 +842,7 @@ int AVI_ChunkReadRoot( stream_t *s, avi_chunk_t *p_root )
     avi_chunk_t      *p_chk;
     bool b_seekable;
 
-    stream_Control( s, STREAM_CAN_FASTSEEK, &b_seekable );
+    stream_Control( s, STREAM_CAN_SEEK, &b_seekable );
 
     p_list->i_chunk_pos  = 0;
     p_list->i_chunk_size = stream_Size( s );
-- 
1.5.5.1

